package com.zfire.mall.manager.bean.stock;

import com.zfire.mall.manager.annotation.ZfireField;
import com.zfire.mall.manager.enums.K3CommonStatusEnum;
import com.zfire.mall.manager.enums.OtherOrderTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author change
 */
@ApiModel
@Data
public class KingDeeOtherStockOutVO  {

    @ZfireField(hide = true,tbName = "kdpso")
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "单据编号")
    private String billNo;

    @ZfireField(tbName = "kdpso")
    @ApiModelProperty(value = "出库日期")
    private Date fDate;

    @ZfireField(tbName = "kdpso",type = "select")
    @ApiModelProperty(value = "方向")
    private OtherOrderTypeEnum stockDirect;


    @ZfireField(tbName = "kdpso",type = "select")
    @ApiModelProperty(value = "订单状态")
    private K3CommonStatusEnum cancelStatus;

    @ZfireField(tbName = "kdm",colName = "old_num")
    @ApiModelProperty(value = "物料代码")
    private String materialOldNumber;

    @ZfireField(tbName = "kdm",hide = true)
    @ApiModelProperty(value = "物料id")
    private String materialId;

    @ZfireField(tbName = "kdm")
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ZfireField(tbName = "kdm")
    @ApiModelProperty(value = "物料编码")
    private String materialNumber;

    @ZfireField(tbName = "kdm",colName = "base_unit_id")
    @ApiModelProperty(value = "采购单位")
    private String unit;

    @ZfireField(tbName = "kdsc",colName = "name")
    @ApiModelProperty(value = "仓库")
    private String stockName;

    @ZfireField(tbName = "kdsc")
    @ApiModelProperty(value = "采购数量")
    private BigDecimal qty;



    @ZfireField(hide = true)
    @ApiModelProperty(value = "供应链组织id")
    private String supplyOrgId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "实体主键")
    private String fId;







}
